Loading...
Searching...
No Matches
DebugLog.idl
/* SPDX-License-Identifier: BSD-3-Clause */
/*
* Copyright 2010 Raritan Inc. All rights reserved.
*/
#ifndef __LOG_DEBUGLOG_IDL__
#define __LOG_DEBUGLOG_IDL__
#include <Log.idl>
/**
* Device Logging
*/
module logging {
/** Device debug log interface */
interface DebugLog {
/**
* Clear the debug log.
*/
void clear();
/**
* Get info about the debug log.
*
* @return log info
*/
LogInfo getInfo();
/**
* Fetch a chunk from the debug log.
*
* For details regarding the behavior of this method refer to the description
* of the \ref logging module in Log\.idl.
*
* @param refId First log id to fetch
* @param count Number of entries to fetch
* @param direction Range direction
*
* @return log chunk
*/
LogChunk getChunk(in int refId, in int count, in RangeDirection direction);
};
}
#endif /* __LOG_DEBUGLOG_IDL__ */
logging::DebugLog
Device debug log interface.
Definition DebugLog.idl:17
logging::DebugLog::getChunk
LogChunk getChunk(in int refId, in int count, in RangeDirection direction)
Fetch a chunk from the debug log.
logging::DebugLog::clear
void clear()
Clear the debug log.
logging::DebugLog::getInfo
LogInfo getInfo()
Get info about the debug log.
logging
Device Logging.
Definition DebugLog.idl:14
logging::RangeDirection
RangeDirection
Range direction when fetching log entries.
Definition Log.idl:108
logging::LogChunk
A log chunk.
Definition Log.idl:100
logging::LogInfo
General log info.
Definition Log.idl:84